

<?php
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$cobrador=$_GET["usuario"];
    
}else{
    $cobrador=$usuario;
}
?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 12px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 12px;
}

th{
    background: green;
    color:white;
}
</style>
<?php
include_once("../php/config.php");
    $sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());
$enombre= @mysql_result($sql_empresa,0,"nombre");
$etelefono= @mysql_result($sql_empresa,0,"telefono");   
$edireccion= @mysql_result($sql_empresa,0,"direccion"); 
$ernc= @mysql_result($sql_empresa,0,"rnc"); 
$eemail= @mysql_result($sql_empresa,0,"email"); 
    
?>
<span class="datos_empres2" style="font-size: 30px;font-weight: bolder;font-family: 'Arial black'"><?php echo $enombre;?></span><b><br>
<span class="datos_empres"><?php echo $etelefono;?> </span><br>
<span class="datos_empres"><?php echo $edireccion;?> </span><br>
<span class="datos_empres"><?php echo $ernc;?></span><br>

<h3 style="font-size: 25px;">Reporte de compra a productores</h3>
<?php

include_once("../php/formatos.php");
$proveedor = $_GET["proveedor"];
$usuario = $_GET["usuario"];

$termino = $_GET["termino"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
$estado = $_GET["estado"];
$chofer = $_GET["chofer"];
$variedad = $_GET["variedad"];
$tipo_chofer = $_GET["tipo_chofer"];


echo "<b>Fecha:</b> desde <font color='blue'>".$fecha1."</font> hasta <font color='blue'>".$fecha2."</font>, <b>Usuario</b>: <font color='red'>".$usuario."</font><br>";
echo "<b>Proveedor:</b> <font color='blue'>".$proveedor."</font>, ";
echo " <b>(Estado: </b><font color='green'>".$estado.")</font>";

$sql = mysql_query("select * from compra_factoria where 
                    productor like '%".$proveedor."%'
                    and usuario like '%".$usuario."%'
                   
                    and tipo_chofer like '%".$tipo_chofer."%'
                    and variedad like '%".$variedad."%'
                    and fecha between '".$fecha1."' and '".$fecha2."'") or die(mysql_error());

if($estado=="Pendiente"){
$sql = mysql_query("select * from compra_factoria where 
                    productor like '%".$proveedor."%'
                    and usuario like '%".$usuario."%'
                   
                    and tipo_chofer like '%".$tipo_chofer."%'
                    and variedad like '%".$variedad."%'
                    and pagado<=0
                    and fecha between '".$fecha1."' and '".$fecha2."'") or die(mysql_error());
}
echo "<table>
<th># Factura</th>
<th>Fecha</th>
<th>Productor</th>
<th>Chofer</th>
<th>Tipo chofer</th>

<th>Placa</th>
<th>Variedad Producto</th>
<th>Monto</th
><th>Pagado</th>
<th>Balance</th>
<th>Estado</th>
<th>Fecha para el pago</th>";

while($r = mysql_fetch_array($sql)){
    $c++;
    $total+=$r["produccion"];
	$TOTAL_PAGADO+=$r["pagado"];
    $flete+=$r["pago_flete"];
    $balance+=$r["balance"];
    $costo+=$r["pagado"];
    $sacos+=$r["sacos"];
    $tara+=$r["tara"];
    $fanega+=$r["fanega"];
    ///$impuestos+=$r["impuesto"];
    
    echo "<tr>";
    echo "<td style='background:yellow;'>".$r["folio"]."</td>";
    
    echo "<td>".fecha($r["fecha"])."</td>";
    //echo "<td>".$r["cuota"]."</td>";
    echo "<td>".$r["productor"]."</td>";
    echo "<td>".$r["chofer"]."</td>";
     echo "<td>".$r["tipo_chofer"]."</td>";
    echo "<td>".$r["placa"]."</td>";
    echo "<td>".$r["variedad"]."</td>";
   
    echo "<td>".decimal($r["produccion"])."</td>";
    echo "<td>".decimal($r["pagado"])."</td>";
    
    echo "<td>".decimal($r["balance"])."</td>";
    echo "<td>".$r["estado"]."</td>";
    echo "<td>".fecha($r["fecha_entrega"])."</td>";
   
    
    echo "</tr>";
}
 echo "</table>";
 echo "</br>";
 
 echo "<b>TOTAL TARA: </b><font color='blue'>".decimal($tara)."</font>";
 echo " | <b>TOTAL FANEGA: </b><font color='blue'>".decimal($fanega)."</font>";
 echo " |<b>TOTAL SACOS: </b><font color='blue'>".decimal($sacos)."</font>";
 echo " | <b>TOTAL PRODUCCION: </b><font color='blue'>(".$c.")".decimal($total)."</font>";
 echo " | <b>TOTAL PRODUCCION: </b><font color='blue'>(".$c.")".decimal($total)."</font><br>";
 echo " |<br><b>TOTAL PAGADO: </b><font color='red'>".decimal($TOTAL_PAGADO)."</font>";
 //echo "<br><b>Costo:</b><font color='blue'>".decimal($costo)."</font><br>";
 echo " |<br><b>Balance pendiente: </b><font color='red'>".decimal($balance)."</font>";

 ///echo "<b>Pagado:</b><font color='red'>".decimal($mora)."</font><br>";
// echo "<br><b>BALANCE EN VENTA:</b><font color='green'>".decimal($balance)."</font><br>";

?>